/* uflags.c (rsxnt) -- Copyright (c) 1996-1997 Rainer Schnitker */

#include "rsxnt.h"

int __uflags (int mask, int flags)
{
    EMXPROCESS *proc = _rsxnt_get_process_ptr();
    int old = proc->uflags;

    proc->uflags &= mask;
    proc->uflags |= flags;
    return old;
}
